-- ########################################################
--                                                        #
--  SQL Commands to set up the pmadb as described in      #
--  Documentation.txt.                                    #
--                                                        #
--  This script expects the user pma to allready be       #
--  existing. (if we would put a line here to create him  #
--  too many users might just use this script and end     #
--  up with having the same password for the controluser) #
--                                                        #
--  Please dont forget to set up the tablenames in        #
--  config.inc.php3                                       #
--                                                        #
--  Please note that the table names might be converted   #
--  to lower case, if the MySQL option                    #
--  "lower_case_table_names" is enabled. By default, this #
--  is the case on Win32 machines.                        #
--                                                        #
-- ########################################################

USE phpmyadmin;

ALTER TABLE `PMA_column_comments`
    ADD `mimetype` VARCHAR( 255 ) NOT NULL ,
    ADD `transformation` VARCHAR( 255 ) NOT NULL ,
    ADD `transformation_options` VARCHAR( 255 ) NOT NULL,
    RENAME TO `PMA_column_info` ;

CREATE TABLE `PMA_history` (
    `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
    `username` VARCHAR(64) NOT NULL,
    `db` VARCHAR(64) NOT NULL,
    `table` VARCHAR(64) NOT NULL,
    `timevalue` TIMESTAMP NOT NULL,
    `sqlquery` TEXT NOT NULL,
    PRIMARY KEY (`id`),
    KEY `username` (`username`, `db`, `table`, `timevalue`)
) TYPE=MyISAM COMMENT='SQL history';
